### Function

# Ide MarkedContent new

#### Declaration

    IdeMarkedContent*
    ide_marked_content_new (
      GBytes* content,
      IdeMarkedKind kind
    )

#### Description

Creates a new `IdeMarkedContent` using the bytes provided.

Available since: | 3.32

#### Parameters

`content` | `GBytes`
| A `GBytes` containing the markup.
| The data is owned by the caller of the function.
`kind` | `IdeMarkedKind`
| An `IdeMakredKind` describing the markup kind.

#### Return value

Returns: | `IdeMarkedContent`
| An `IdeMarkedContent`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.